/*
 * QtTelepathy, the Tapioca Qt4 Telepathy Client Library
 * Copyright (C) 2006 by Tobias Hunger <tobias.hunger@basyskom.de>
 * Copyright (C) 2006 by INdT
 *  @author Andre Moreira Magalhaes <andre.magalhaes@indt.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef QTTELEPATHY_CHANNELTYPEDTMF_H
#define QTTELEPATHY_CHANNELTYPEDTMF_H

#include <QtTelepathy/Common/BaseTypes>

namespace org {
namespace freedesktop {
namespace Telepathy {

enum DTMF_Event {
    DTMF_EVENT_Digit_0 = 0,
    DTMF_EVENT_Digit_1 = 1,
    DTMF_EVENT_Digit_2 = 2,
    DTMF_EVENT_Digit_3 = 3,
    DTMF_EVENT_Digit_4 = 4,
    DTMF_EVENT_Digit_5 = 5,
    DTMF_EVENT_Digit_6 = 6,
    DTMF_EVENT_Digit_7 = 7,
    DTMF_EVENT_Digit_8 = 8,
    DTMF_EVENT_Digit_9 = 9,
    DTMF_EVENT_Asterisk = 10,
    DTMF_EVENT_Hash = 11,
    DTMF_EVENT_Letter_A = 12,
    DTMF_EVENT_Letter_B = 13,
    DTMF_EVENT_Letter_C = 14,
    DTMF_EVENT_Letter_D = 15
};

} // namespace Telepathy
} // namespace freedesktop
} // namespace org

#endif

